Loading...
Searching...
No Matches
raw-json.h File Reference
SPA » Parameters

spa/param/audio/raw-json.h More...

Go to the source code of this file.

## Macros

#define | SPA_API_AUDIO_RAW_JSON static inline

## Functions

SPA_API_AUDIO_RAW_JSON int | spa_audio_parse_position_n (const char *str, size_t len, uint32_t *position, uint32_t max_position, uint32_t *n_channels)
SPA_API_AUDIO_RAW_JSON int | spa_audio_parse_position (const char *str, size_t len, uint32_t *position, uint32_t *n_channels)
SPA_API_AUDIO_RAW_JSON int | spa_audio_parse_layout (const char *str, uint32_t *position, uint32_t max_position, uint32_t *n_channels)
SPA_API_AUDIO_RAW_JSON int | spa_audio_info_raw_ext_update (struct spa_audio_info_raw *info, size_t size, const char *key, const char *val, bool force)
SPA_API_AUDIO_RAW_JSON int | spa_audio_info_raw_update (struct spa_audio_info_raw *info, const char *key, const char *val, bool force)
SPA_API_AUDIO_RAW_JSON int | spa_audio_info_raw_ext_init_dict_keys_va (struct spa_audio_info_raw *info, size_t size, const struct spa_dict *defaults, const struct spa_dict *dict, va_list args)
SPA_API_AUDIO_RAW_JSON int | spa_audio_info_raw_ext_init_dict_keys (struct spa_audio_info_raw *info, size_t size, const struct spa_dict *defaults, const struct spa_dict *dict,...)
SPA_API_AUDIO_RAW_JSON int | spa_audio_info_raw_init_dict_keys (struct spa_audio_info_raw *info, const struct spa_dict *defaults, const struct spa_dict *dict,...)

## Detailed Description

spa/param/audio/raw-json.h